Lee

release ApexDC++ 1.5.6 has been released

13 posts in this topic

We are pleased to announce 1.5.6 to the public, fixing a security vulnerability related to the Magnet URI handler and merging to ADC 1.0.2 protocol. A few other additions include tidying up the plugin menu (it's now located in File > Plugins menu and actually works) and synchronising with DC++'s speed limiter code. We have also updated the OpenSSL library bringing with it a few security fixes aswell.

 

Crise has posted some fine words on the recent changes to the Plugin API, so check it out here.

 

As you can see there are a few security updates in this release and therefore we are making this a mandatory upgrade. You can check out the full changelog or download it straight away on our website.

handythurry likes this

Share this post


Link to post
Share on other sites

With 1.5.5 ApexDC officially moved to using the Plugin API currently in DC++. This essentially does not change much since their plugin API is a cousin to what ApexDC (1.5.x) has had for quite sometime now.

One of our personal goals with this was to move the ScriptPlugin (formerly LuaPlugin or Lua Plugin, but hey rose by any other name and all that) to be managed by DC++ team and the people there who actually know more about Lua than yours truly. Unfortunately though, for us, DC++ doesn't provide pre-compiled 64bit binaries at all which means that we will still be providing a download of ScriptPlugin for you for the time being.

For end users the change of a vendor for this plugin means two things. There will no longer be LuaJIT flavored builds on offer, which for anyone who ever used any pre-built modules is non-issue, since you wouldn't be using this build variant anyways. However, what does impact end user is that this new flavor of ScriptPlugin uses Lua 5.2 in favor of 5.1.

For script migration please see the following links:

In comparison, although the Plugin API as it is in DC++ is still not 100% stable (as in stable API in terms of compatibility), it is significantly more likely to remain compatible for longer periods of time since it will no longer see rewrites from version to version (which before submission to DC++ was more of a rule than an exception for me).
Lee likes this

Share this post


Link to post
Share on other sites

As of right now the German, Spanish, Russian and Romanian language files have been uploaded to our website. More will be uploaded as we get them from our translators.

 

PS: Forgot to give a shout out to Hublist.eu - we've added them to the list of available public hublists in ApexDC++. Keep up the good work! :)

Neolo likes this

Share this post


Link to post
Share on other sites

Change: Use DC++ speed limit code and remove unneeded hardcoded limits means - no more download speed limit to 7 * upload speed?

Share this post


Link to post
Share on other sites

Change: Use DC++ speed limit code and remove unneeded hardcoded limits means - no more download speed limit to 7 * upload speed?

 

Yep, this is correct. :)

 

Slovak translation has been uploaded.

Peetboy likes this

Share this post


Link to post
Share on other sites

As of right now the German, Spanish, Russian and Romanian language files have been uploaded to our website. More will be uploaded as we get them from our translators.

 

PS: Forgot to give a shout out to Hublist.eu - we've added them to the list of available public hublists in ApexDC++. Keep up the good work! :)

 

Thank you for adding my hub list, I will do my best!

Also I'll update my ukrainian translation as soon as possible.

Share this post


Link to post
Share on other sites

Hello,

 

I missed you all.

Congrats with the new release, will install it now.

 

Cheers,

 

Zlo

Share this post


Link to post
Share on other sites

Hello,

 

I missed you all.

Congrats with the new release, will install it now.

 

Cheers,

 

Zlo

 

This is a nice surprise. Welcome back and check your PM ;)

Share this post


Link to post
Share on other sites

This update is coming up as mandatory for 64 bit. When I go to this version I cannot connect to anotehr user, I cannot download files. I can get filelists but when I try to download I get connot find file even when I just downloaded the list. How do I shut off the mandatory update??

Share this post


Link to post
Share on other sites

This update is coming up as mandatory for 64 bit. When I go to this version I cannot connect to anotehr user, I cannot download files. I can get filelists but when I try to download I get connot find file even when I just downloaded the list. How do I shut off the mandatory update??

 

How do you mean you "can't find the file"? Have you found the file via search and added it to your download queue?

Share this post


Link to post
Share on other sites

How do you mean you "can't find the file"? Have you found the file via search and added it to your download queue?

 

I download a user list.

Add a file from that list to download queue.

APEX tried to download and "Could not open target file. The system cannot find the path specified"

If I reload 1.5.4 the file is downloaded just fine. Of course I cannot do anything else because the required upgrade box appears preventing me from doing anything in apex.

Share this post


Link to post
Share on other sites

I download a user list.

Add a file from that list to download queue.

APEX tried to download and "Could ot open target file. The systam cannot find the path specified"

If I reload 1.5.4 the file is downloaded just fine. Of course I cannot do anything else because the required upgrade box appears preventing me from doing anything in apex.

 

Try this solution.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now